import LesOubliesItemSheet from "./base-item-sheet.mjs"

export default class LesOubliesReferenceItemSheet extends LesOubliesItemSheet {
  static PARTS = {
    sheet: {
      template: "systems/fvtt-les-oublies/templates/item-reference-sheet.hbs",
    },
  }

  async _prepareContext() {
    const context = await super._prepareContext()
    context.isRace = this.document.type === "race"
    context.isTribu = this.document.type === "tribu"
    context.isMetier = this.document.type === "metier"
    return context
  }
}
